Get connect-rate heatmap
curl --request GET \
--url https://api.pineyard.ai/analytics/heatmap \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/analytics/heatmap', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/analytics/heatmap"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"day": 3,
"hourBucket": 3,
"connectRate": 50,
"totalCalls": 1
}
]Analytics
Get connect-rate heatmap
Connect rate and call count by weekday and hour. Pass tz (time zone name, default UTC) to bucket hours in your local time.
GET
/
analytics
/
heatmap
Get connect-rate heatmap
curl --request GET \
--url https://api.pineyard.ai/analytics/heatmap \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/analytics/heatmap', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/analytics/heatmap"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"day": 3,
"hourBucket": 3,
"connectRate": 50,
"totalCalls": 1
}
]Required scope:
analytics.viewAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Query Parameters
Required range:
1 <= x <= 365
